Upstream information

CVE-2009-0357 at MITRE

Description

Mozilla Firefox before 3.0.6 and SeaMonkey before 1.1.15 do not properly restrict access from web pages to the (1) Set-Cookie and (2) Set-Cookie2 HTTP response headers, which allows remote attackers to obtain sensitive information from cookies via XMLHttpRequest calls, related to the HTTPOnly protection mechanism.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
SUSE Bugzilla entry: 470074 [RESOLVED / DUPLICATE]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP1
  • MozillaFirefox >= 3.5.9-0.1.1
  • MozillaFirefox-translations >= 3.5.9-0.1.1
  • mozilla-xulrunner190 >= 1.9.0.19-0.1.1
  • mozilla-xulrunner190-32bit >= 1.9.0.19-0.1.1
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.19-0.1.1
  • mozilla-xulrunner190-translations >= 1.9.0.19-0.1.1
  • mozilla-xulrunner190-x86 >= 1.9.0.19-0.1.1
Patchnames:
SUSE Linux Enterprise Server 11 SP1 GA MozillaFirefox
SUSE Linux Enterprise Server 11 SP1 GA mozilla-xulrunner190
SUSE Linux Enterprise Server 11 SP2
  • MozillaFirefox >= 10.0-0.3.2
  • MozillaFirefox-translations >= 10.0-0.3.2
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA MozillaFirefox
SUSE Linux Enterprise Server 11 SP3
  • MozillaFirefox >= 17.0.4esr-0.10.42
  • MozillaFirefox-translations >= 17.0.4esr-0.10.42
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA MozillaFirefox
SUSE Linux Enterprise Server 11 SP4
  • MozillaFirefox >= 31.7.0esr-0.8.1
  • MozillaFirefox-translations >= 31.7.0esr-0.8.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA MozillaFirefox
SUSE Linux Enterprise Software Development Kit 11 SP4
  • MozillaFirefox-devel >= 31.7.0esr-0.8.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA MozillaFirefox-devel
openSUSE 11.0
  • MozillaFirefox-debuginfo >= 3.0.6-0.1
  • MozillaFirefox-debugsource >= 3.0.6-0.1
  • mozilla-xulrunner190-debuginfo >= 1.9.0.6-0.1
  • mozilla-xulrunner190-debugsource >= 1.9.0.6-0.1
openSUSE 11.0
  • MozillaFirefox >= 3.0.6-0.1
  • MozillaFirefox-translations >= 3.0.6-0.1
  • mozilla-xulrunner190 >= 1.9.0.6-0.1
  • mozilla-xulrunner190-32bit >= 1.9.0.6-0.1
  • mozilla-xulrunner190-64bit >= 1.9.0.6-0.1
  • mozilla-xulrunner190-devel >= 1.9.0.6-0.1
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.6-0.1
  • mozilla-xulrunner190-gnomevfs-32bit >= 1.9.0.6-0.1
  • mozilla-xulrunner190-gnomevfs-64bit >= 1.9.0.6-0.1
  • mozilla-xulrunner190-translations >= 1.9.0.6-0.1
  • mozilla-xulrunner190-translations-32bit >= 1.9.0.6-0.1
  • mozilla-xulrunner190-translations-64bit >= 1.9.0.6-0.1
openSUSE 11.1
  • MozillaFirefox-debuginfo >= 3.0.6-0.1.2
  • MozillaFirefox-debugsource >= 3.0.6-0.1.2
  • mozilla-xulrunner190-debuginfo >= 1.9.0.6-0.1.1
  • mozilla-xulrunner190-debugsource >= 1.9.0.6-0.1.1
openSUSE 11.1
  • MozillaFirefox >= 3.0.6-0.1.2
  • MozillaFirefox-branding-upstream >= 3.0.6-0.1.2
  • MozillaFirefox-translations >= 3.0.6-0.1.2
  • mozilla-xulrunner190 >= 1.9.0.6-0.1.1
  • mozilla-xulrunner190-32bit >= 1.9.0.6-0.1.1
  • mozilla-xulrunner190-devel >= 1.9.0.6-0.1.1
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.6-0.1.1
  • mozilla-xulrunner190-gnomevfs-32bit >= 1.9.0.6-0.1.1
  • mozilla-xulrunner190-translations >= 1.9.0.6-0.1.1
  • mozilla-xulrunner190-translations-32bit >= 1.9.0.6-0.1.1
  • python-xpcom190 >= 1.9.0.6-0.1.1
openSUSE 11.0
  • seamonkey-debuginfo >= 1.1.16-1.1
  • seamonkey-debugsource >= 1.1.16-1.1
openSUSE 11.0
  • seamonkey >= 1.1.16-1.1
  • seamonkey-dom-inspector >= 1.1.16-1.1
  • seamonkey-irc >= 1.1.16-1.1
  • seamonkey-mail >= 1.1.16-1.1
  • seamonkey-spellchecker >= 1.1.16-1.1
  • seamonkey-venkman >= 1.1.16-1.1
openSUSE 11.1
  • seamonkey-debuginfo >= 1.1.16-1.1.2
  • seamonkey-debugsource >= 1.1.16-1.1.2
openSUSE 11.1
  • seamonkey >= 1.1.16-1.1.2
  • seamonkey-dom-inspector >= 1.1.16-1.1.2
  • seamonkey-irc >= 1.1.16-1.1.2
  • seamonkey-mail >= 1.1.16-1.1.2
  • seamonkey-spellchecker >= 1.1.16-1.1.2
  • seamonkey-venkman >= 1.1.16-1.1.2